struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Galbreath, Mark" <Galbre...@tessco.com>
Subject RE: Connection Pooling
Date Fri, 01 Feb 2002 16:40:38 GMT
Looks like you're screwed.  I haven't used anything but 8i and SQL Server
7/2000 for over 2 years.  If you can't get any solid info from Oracle or
this list, scoot over to JDBC-INTEREST@java.sun.com and ask those guys.  You
can signup at (somewhere) java.sun.com/products/jdbc/

Mark

Now, to get back to the Great Reference Debate for today, is an object
passed via RMI by value or reference?  ;-)~

-----Original Message-----
From: Brad Rhoads [mailto:brhoads@zethcon.com]
Sent: Friday, February 01, 2002 11:21 AM

That link was to info mostly about 8i (Build 8.1.7). I need it work w/ Build
8.0.5.

I followed a link to JDBC Driver-Database Compatibility  and found this info
which I don't totally understand:


* Different JDKs require different class files--classes in classes12.zip,
classes111.zip, and classes102.zip, respectively

* Note: the JDBC server-side internal driver is not available for 8.0.x and
prior versions.

* The JDBC drivers do not support structured objects when run against an
8.0.x database. This is because JDBC depends on PL/SQL functions that did
not exist in those releases.

And just be clear, what I'm concerned about is connection pooling & I want
the same code to work for both 8.0 & 8i.

So, does the JDBC Driver-Database Compatibility info  say that I just need
to use a different class file, say classess111, or that I can't do what I
want w/ 8.0 or ???

> -----Original Message-----
> From: Galbreath, Mark [mailto:Galbreath@tessco.com]
> Sent: Friday, February 01, 2002 10:00 AM
> To: 'Struts Users Mailing List'
> Subject: RE: Connection Pooling
>
>
> You are wrong on this.  Oracle 8 drivers definitely support
> Java 2.0 and
> JDBC 2.0.  Perhaps you have the wrong driver?
>
> http://otn.oracle.com/docs/products/oracle8i/doc_library/817_d
oc/java.817/a8
3724/overvw5.htm#1000974

Mark

-----Original Message-----
From: Brad Rhoads [mailto:brhoads@zethcon.com]
Sent: Friday, February 01, 2002 10:00 AM

We found out we need to support Oracle 8.0 and the 8.0 drivers don't support
JDBC 2.0 (please correct me if I'm wrong on this)....

--
To unsubscribe, e-mail:
<mailto:struts-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail:
<mailto:struts-user-help@jakarta.apache.org>


--
To unsubscribe, e-mail:
<mailto:struts-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail:
<mailto:struts-user-help@jakarta.apache.org>

--
To unsubscribe, e-mail:   <mailto:struts-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:struts-user-help@jakarta.apache.org>


Mime
View raw message